Bug 817684 - building against ice requires -fpermissive
building against ice requires -fpermissive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 17:06 EDT by Matthew Woehlke
Modified: 2012-06-25 20:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:40:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches from arch linux (11.74 KB, patch)
2012-04-30 17:06 EDT, Matthew Woehlke
no flags Details | Diff

  None (edit)
Description Matthew Woehlke 2012-04-30 17:06:08 EDT
Created attachment 581280 [details]
patches from arch linux

Description of problem:
Due to some missing use of 'this->' in ICE public headers, building code that uses ICE (and building ICE itself, for that matter) requires -fpermissive when using gcc 4.7.

Version-Release number of selected component (if applicable):
ice-3.4.2.12

How reproducible:
Always

Additional info:
I've attached a patch containing a number of changes, including ones to fix this issue, taken from arch linux. (These are taken from 'ice-for-clang.patch' in http://aur.archlinux.org/packages/ze/zeroc-ice/zeroc-ice.tar.gz.) With these, ICE itself appears to build successfully without -fpermissive and to likewise be usable without the same.
Comment 1 Fedora Update System 2012-05-28 04:35:19 EDT
ice-3.4.2-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-13.fc17
Comment 2 Fedora Update System 2012-05-29 06:25:43 EDT
Package ice-3.4.2-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ice-3.4.2-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8533/ice-3.4.2-13.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-29 11:38:07 EDT
ice-3.4.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-14.fc17
Comment 4 Matthew Woehlke 2012-05-29 13:12:28 EDT
I'm still verifying, but I'm guessing the patch set in -14 is a superset of the patches here.

However, I would still suggest removing -fpermissive (which I see is still present) from ICE's build, at least as a validation measure.
Comment 5 Fedora Update System 2012-06-12 09:57:48 EDT
ice-3.4.2-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ice-3.4.2-15.fc17
Comment 6 Fedora Update System 2012-06-25 20:40:08 EDT
ice-3.4.2-15.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.